RIO_REQUEST_INB_MB(9)

NAME
rio_request_inb_mbox - request inbound mailbox service

SYNOPSIS

int rio_request_inb_mbox (struct rio_mport * mport, void * dev_id, int mbox, int entries, void (*minb) <funcparams>struct rio_mport * mport, void *dev_id, int mbox, int slot</funcparams>);

ARGUMENTS

mport
    RIO master port from which to allocate the mailbox resource

dev_id
    Device specific pointer to pass on event

mbox
    Mailbox number to claim

entries
    Number of entries in inbound mailbox queue

minb
    Callback to execute when inbound message is received

DESCRIPTION

Requests ownership of an inbound mailbox resource and binds a callback function to the resource. Returns 0 on success.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.